"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _arrowDown = _interopRequireDefault(require("../../Icons/arrowDown"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const ClickableBox = /*#__PURE__*/(0, _react.memo)(props => {
  const {
    data,
    placeholder,
    width,
    height,
    boxClosedBorderColor,
    boxOpenedBorderColor,
    placeHolderTextStyle,
    textStyle,
    arrowColorOnSelected,
    arrowColor,
    backgroundColor,
    arrowSize,
    horizontalPadding,
    opened,
    selected
  } = props;
  const foundLabel = (0, _react.useMemo)(() => data.filter(item => selected.includes(item.value)).map(item => item.label).join(',') || '',
  // eslint-disable-next-line react-hooks/exhaustive-deps
  [selected]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.container, {
      paddingHorizontal: horizontalPadding,
      backgroundColor,
      width,
      height,
      ...(opened ? {
        borderBottomRightRadius: 0,
        borderBottomLeftRadius: 0,
        borderBottomWidth: 0,
        borderColor: boxOpenedBorderColor
      } : {
        borderColor: boxClosedBorderColor
      })
    }]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [...(selected.length ? [styles.text, textStyle] : [styles.placeHolderText, placeHolderTextStyle]), {
      width: width - horizontalPadding * 2 - arrowSize * 1.5
    }],
    numberOfLines: 1
  }, selected.length ? foundLabel : placeholder), /*#__PURE__*/_react.default.createElement(_arrowDown.default, {
    size: arrowSize,
    color: selected.length ? arrowColorOnSelected : arrowColor
  }));
});
const styles = _reactNative.StyleSheet.create({
  container: {
    borderWidth: 1,
    borderRadius: 5,
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center'
  },
  placeHolderText: {
    color: '#6c757d'
  },
  text: {
    color: 'black'
  }
});
ClickableBox.displayName = 'ClickableBox';
var _default = ClickableBox;
exports.default = _default;
//# sourceMappingURL=index.js.map