"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _portal = require("@gorhom/portal");
var _item = _interopRequireDefault(require("./item"));
var _ClickOutsideOverlay = _interopRequireDefault(require("../../ClickOutsideOverlay"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const DEFAULT_HEIGHT = 300;
const DEFAULT_BG_COLOR = '#fff';
const DEFAULT_EMPTY_SEARCH_TEXT = 'Not found';
const DEFAULT_NOT_FOUND_CONTAINER_HEIGHT = 80;
const List = /*#__PURE__*/(0, _react.memo)(props => {
  const {
    data: mainData,
    locationConfig,
    boxHeight,
    boxWidth,
    onSelect,
    selectedItemValues = [],
    listBoxBackgroundColor = DEFAULT_BG_COLOR,
    maxListHeight = DEFAULT_HEIGHT,
    noDataText = DEFAULT_EMPTY_SEARCH_TEXT,
    notFoundTextStyle,
    listItemTextStyle,
    listItemSelectedTextStyle,
    listItemSelectedBackgroundColor,
    multiple,
    search,
    handleClose
  } = props;
  const portalKey = `${Math.random()}-select-portal`;
  // Search with case insensitive
  const data = search ? mainData.filter(item => item.label.match(new RegExp(search, 'i'))) : mainData;
  return /*#__PURE__*/_react.default.createElement(_portal.Portal, {
    name: portalKey,
    key: portalKey
  }, /*#__PURE__*/_react.default.createElement(_ClickOutsideOverlay.default, {
    onClick: handleClose
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View
  /* ref={componentRef} */, {
    style: [styles.container, {
      top: locationConfig.y + boxHeight,
      left: locationConfig.x,
      width: boxWidth,
      backgroundColor: listBoxBackgroundColor,
      maxHeight: maxListHeight,
      ...(locationConfig.y === 0 && styles.hide) // For eliminate initial load bug
    }]
  }, data.length ? /*#__PURE__*/_react.default.createElement(_reactNative.FlatList, {
    data: data,
    renderItem: _ref => {
      let {
        item
      } = _ref;
      return /*#__PURE__*/_react.default.createElement(_item.default, {
        item: item,
        onSelect: onSelect,
        isSelected: selectedItemValues.includes(item.value),
        listItemTextStyle: listItemTextStyle,
        listItemSelectedTextStyle: listItemSelectedTextStyle,
        listItemSelectedBackgroundColor: listItemSelectedBackgroundColor,
        multiple: multiple
      });
    },
    keyExtractor: item => item.value.toString()
  }) : /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.notFoundContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [styles.notFoundText, notFoundTextStyle]
  }, noDataText))));
});
const styles = _reactNative.StyleSheet.create({
  container: {
    position: 'absolute',
    borderWidth: 1,
    borderRadius: 5,
    borderTopRightRadius: 0,
    borderTopLeftRadius: 0
  },
  hide: {
    opacity: 0
  },
  notFoundContainer: {
    height: DEFAULT_NOT_FOUND_CONTAINER_HEIGHT,
    alignItems: 'center',
    justifyContent: 'center'
  },
  notFoundText: {
    textAlign: 'center',
    fontSize: 14
  }
});
List.displayName = 'List';
var _default = List;
exports.default = _default;
//# sourceMappingURL=index.js.map