import React from 'react';
import { StyleSheet, View } from 'react-native';
const DEFAULT_SIZE = 10;
const DEFAULT_COLOR = 'black';
const ArrowDownIcon = _ref => {
  let {
    size = DEFAULT_SIZE,
    color = DEFAULT_COLOR
  } = _ref;
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.container, {
      width: size,
      height: size
    }]
  }, /*#__PURE__*/React.createElement(View, {
    style: [styles.chevron, {
      width: size,
      height: size,
      borderBottomColor: color,
      borderLeftColor: color,
      top: -(size / 4)
    }]
  }));
};
const styles = StyleSheet.create({
  container: {
    justifyContent: 'center',
    alignItems: 'center'
  },
  chevron: {
    borderBottomWidth: 1.5,
    borderLeftWidth: 1.5,
    transform: [{
      rotate: '-45deg'
    }]
  }
});
ArrowDownIcon.displayName = 'ArrowDownIcon';
export default ArrowDownIcon;
//# sourceMappingURL=arrowDown.js.map